{% extends 'base.html.twig' %}

{% block title %}Organizations{% endblock %}

{% block body %}

<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css" integrity="sha384-B0vP5xmATw1+K9KRQjQERJvTumQW0nPEzvF6L/Z6nronJ3oUOFUFpCjEUQouq2+l" crossorigin="anonymous">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css" integrity="sha512-iBBXm8fW90+nuLcSKlbmrPcLa0OT92xO1BIsZ+ywDWZCvqsWgccV3gFoRBv0z+8dLJgyAHIhR35VZc2oM/gI1w==" crossorigin="anonymous" referrerpolicy="no-referrer" />


<div class="example-wrapper" >

    <a href="{{ path('add_organisation') }}"> <button type="button" class="btn btn-primary">Add Organization</button></a>

    <table class="table">
        <thead>
            <tr>
                <th scope="col">#</th>
                <th scope="col">Name</th>
                <th scope="col">Description</th>
                <th scope="col">Action</th>
            </tr>
        </thead>
        <tbody>

            {% for  key,organization in organizations %}

                <tr>
                    <td>{{key+1}}</td>
                    <td>{{organization.name}}</td>
                    <td>{{organization.description}}</td>
                    <td>
                        <a href="{{ path('edit_organisation', {id: key}) }}"> <button type="button" class="btn btn-warning"><i class="fas fa-edit"></i></button></a>
                        <a href="{{ path('delete_organisation', {id: key}) }}"> <button type="button" class="btn btn-danger"><i class="fas fa-trash-alt"></i></button></a>
                    </td>
                </tr>

            {% endfor %}
        </tbody>
    </table>


</div>

<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.min.js" integrity="sha384-+YQ4JLhjyBLPDQt//I+STsc9iw4uQqACwlvpslubQzn4u2UU2UFM80nGisd026JF" crossorigin="anonymous"></script>
{% endblock %}